Bug 133609 - system-config-services will not start
system-config-services will not start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-25 04:24 EDT by Frank Büttner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 12:32:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The output (64.47 KB, text/plain)
2004-09-25 07:14 EDT, Frank Büttner
no flags Details

  None (edit)
Description Frank Büttner 2004-09-25 04:24:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.3)
Gecko/20040922

Description of problem:
When i try to start system-config-services i get the error:
/etc/init.d/ [Errno 21] is a directory
Traceback (most recent call last):
  File "/usr/sbin/system-config-services", line 661, in ?
    main()
  File "/usr/sbin/system-config-services", line 648, in main
    Gui()
  File "/usr/sbin/system-config-services", line 244, in __init__
    self.populateList()
  File "/usr/sbin/system-config-services", line 311, in populateList
    self.clstServices.append_row((servicename, ""),
int(self.dict_services[servicename][0][int(self.editing_runlevel)]))
IndexError: list index out of range


Version-Release number of selected component (if applicable):
system-config-services-0.8.8-8

How reproducible:
Always

Steps to Reproduce:
1. start system-config-services

    

Actual Results:  the error when try to start the programm

Expected Results:  the running programm

Additional info:

This error comes after installing alle updates since 19.09.04
Comment 1 Nils Philippsen 2004-09-25 06:56:15 EDT
This is trange -- the machine I use right now has all packages
installed and is updates as well. Please attach the output of these
commands (run as root) to the bug report:

ls -la /etc/init.d
ls -ld /etc/init.d /etc/rc.d/init.d /etc/init.d/.
rpm -qa --last 
Comment 2 Frank Büttner 2004-09-25 07:14:34 EDT
Created attachment 104315 [details]
The output
Comment 3 Nils Philippsen 2004-09-25 08:28:31 EDT
The first line should really have been (mind the / at the end):

ls -la /etc/init.d/

Would you please attach its output? Sorry for the hassle...
Comment 4 Frank Büttner 2004-09-25 08:36:08 EDT
ls -la /etc/init.d/ gives:
drwxr-xr-x   2 root root  4096 25. Sep 12:39 .
drwxr-xr-x  10 root root  4096  9. Sep 15:41 ..
-rwxr-xr-x   1 root root  2633 17. Feb 2004  aep1000
-rwxr-xr-x   1 root root   834 15. Feb 2004  anacron
-rwxr-xr-x   1 root root  1429 19. Apr 20:22 apmd
-rwxr-xr-x   1 root root  1041  6. Apr 17:22 arpwatch
-rwxr-xr-x   1 root root  2266  5. Mär 2004  atalk
-rwxr-xr-x   1 root root  1176  5. Mai 19:39 atd
-rwxr-xr-x   1 root root 11345 14. Apr 19:39 autofs
-rwxr-xr-x   1 root root  2651 17. Feb 2004  bcm5820
-rwxr-xr-x   1 root root  1666 15. Mär 2004  bluetooth
-rwxr-xr-x   1 root root  1489  7. Mai 09:40 cpuspeed
-rwxr-xr-x   1 root root  1316 17. Feb 2004  crond
-rwxr-xr-x   1 root root  2312  2. Jun 17:34 cups
-rwxr-xr-x   1 root root  1502 13. Apr 15:22 dc_client
-rwxr-xr-x   1 root root  1344 13. Apr 15:22 dc_server
-rwxr-xr-x   1 root root  1509 22. Jun 17:37 dhcpd
-rwxr-xr-x   1 root root  1448 22. Jun 17:37 dhcrelay
-rwxr-xr-x   1 root root   917 29. Mai 23:20 dovecot
-rwxr-xr-x   1 root root  1783 13. Mai 00:30 firstboot
-rwxr-xr-x   1 root root 10198 28. Okt 2003  functions
-rwxr-xr-x   1 root root 10198 28. Okt 2003  functions.rpmorig
-rwxr-xr-x   1 root root  1702  6. Mai 20:25 gpm
-rwxr-xr-x   1 root root  5850 26. Mär 2004  halt
-rwxr-xr-x   1 root root  5269 15. Sep 2003  halt.rpmorig
lrwxrwxrwx   1 root root    19 26. Jul 2003  hpoj -> /usr/sbin/ptal-init
-rwxr-xr-x   1 root root   266  5. Mai 19:40 hpoj.rpmnew
-rwxr-xr-x   1 root root  1622 28. Aug 11:17 hpwebjetd
-rwxr-xr-x   1 root root  2699 21. Sep 22:29 httpd
-rwxr-xr-x   1 root root  7213  5. Mär 2004  ip6tables
-rwxr-xr-x   1 root root  7134  5. Mär 2004  iptables
-rwxr-xr-x   1 root root  1414 18. Feb 2004  irda
-rwxr-xr-x   1 root root  1744  7. Mai 09:40 irqbalance
-rwxr-xr-x   1 root root  1775 24. Aug 19:22 kadmin
-rwxr-xr-x   1 root root  1084 24. Aug 19:22 kdcrotate
-rwxr-xr-x   1 root root   652  4. Sep 2003  killall
-rwxr-xr-x   1 root root   652  4. Sep 2003  killall.rpmorig
-rwxr-xr-x   1 root root  1282 24. Aug 19:22 kprop
-rwxr-xr-x   1 root root  1269 24. Aug 19:22 krb524
-rwxr-xr-x   1 root root  1434 24. Aug 19:22 krb5kdc
-rwxr-xr-x   1 root root  2225  1. Sep 03:22 kudzu
-rwxr-xr-x   1 root root  2847 14. Apr 20:58 ldap
-rwxr-xr-x   1 root root  1684 14. Apr 20:26 lisa
-rwxr-xr-x   1 root root  1762 10. Jun 00:03 mailman
-rwxr-xr-x   1 root root  1746  5. Mär 2004  messagebus
-rwxr-xr-x   1 root root  1538  7. Mai 09:40 microcode_ctl
-rwxr-xr-x   1 root root  5575  8. Sep 02:09 mysql
-rwxr-xr-x   1 root root  2288 26. Mär 2004  named
-rwxr-xr-x   1 root root  5864 15. Feb 2004  netdump
-rwxr-xr-x   1 root root  1283 15. Feb 2004  netdump-server
-rwxr-xr-x   1 root root  5707 17. Mär 2004  netfs
-rwxr-xr-x   1 root root  5080  7. Jan 2003  netfs.rpmorig
-rwxr-xr-x   1 root root  1297  3. Jun 15:03 netplugd
-rwxr-xr-x   1 root root  8362  7. Jun 21:16 network
-rwxr-xr-x   1 root root  8005 10. Nov 2003  network.rpmorig
-rwxr-xr-x   1 root root  3895 18. Mai 22:43 nfs
-rwxr-xr-x   1 root root  2833 18. Mai 22:43 nfslock
-rwxr-xr-x   1 root root  2109 11. Mai 14:45 nscd
-rwxr-xr-x   1 root root  3876 11. Mär 2004  ntpd
-rwxr-xr-x   1 root root  4593 16. Feb 2004  pcmcia
-rwxr-xr-x   1 root root  1814 17. Feb 2004  portmap
-rwxr-xr-x   1 root root  2296 31. Mär 21:34 postfix
-rwxr--r--   1 root root   569 26. Jul 2003  PowerChute
-rwxr-xr-x   1 root root  1021 17. Feb 2004  psacct
-rwxr-xr-x   1 root root  1062 27. Jan 2003  pxe
-rwxr-xr-x   1 root root  1516 26. Jun 2002  random
-rwxr-xr-x   1 root root  1516 26. Jun 2002  random.rpmorig
-rwxr-xr-x   1 root root  2246  7. Jan 2003  rawdevices
-rwxr-xr-x   1 root root  2246  7. Jan 2003  rawdevices.rpmorig
-rwxr-xr-x   1 root root   790  7. Mai 09:40 readahead
-rwxr-xr-x   1 root root   795  7. Mai 09:40 readahead_early
-rwxr-xr-x   1 root root  1782 11. Mai 22:19 rhnsd
-rwxr-xr-x   1 root root  1404 17. Mär 2004  routed
-rwxr-xr-x   1 root root   105 10. Dez 2003  RoutingTabelle
-rwxr-xr-x   1 root root  1921 18. Mai 22:43 rpcgssd
-rwxr-xr-x   1 root root  1804 18. Mai 22:43 rpcidmapd
-rwxr-xr-x   1 root root  1899 18. Mai 22:43 rpcsvcgssd
-rwxr-xr-x   1 root root  1262 16. Mär 2004  saslauthd
-rwxr-xr-x   1 root root  2444 26. Mär 2003  sendmail.rpmsave
-rwxr-xr-x   1 root root  1175 10. Jul 2002  single
-rwxr-xr-x   1 root root  1175 10. Jul 2002  single.rpmorig
-rwxr-xr-x   1 root root  3115  7. Mai 09:40 smartd
-rwxr-xr-x   1 root root  2020 13. Sep 21:03 smb
-rwxr-xr-x   1 root root  1578  8. Apr 17:56 snmpd
-rwxr-xr-x   1 root root  1204  8. Apr 17:56 snmptrapd
-rwxr-xr-x   1 root root  2909 17. Mär 2004  sshd
-rwxr-xr-x   1 root root  1369  4. Mai 00:04 syslog
-rwxr-xr-x   1 root root  1289 17. Jun 18:36 sysstat
-rwxr-xr-x   1 root root  2796 17. Mär 2004  tux
-rwxr-xr-x   1 root root  1886 14. Apr 18:56 vncserver
-rwxr-xr-x   1 root root  1880  4. Mai 00:13 vsftpd
-rwxr-xr-x   1 root root  1555 13. Sep 21:03 winbind
-rwxr-xr-x   1 root root  3404 26. Jun 13:48 xfs
-rwxr-xr-x   1 root root  2497 17. Feb 2004  xinetd
-rwxr-xr-x   1 root root  2501 24. Feb 2004  ypbind
-rwxr-xr-x   1 root root  1638  2. Apr 22:59 yppasswdd
-rwxr-xr-x   1 root root  1624  2. Apr 22:59 ypserv
-rwxr-xr-x   1 root root  1133  2. Apr 22:59 ypxfrd
Comment 5 Nils Philippsen 2004-10-07 05:47:08 EDT
Hmm I'm a bit at a loss here, but could you try it with the new
version from Rawhide? It's at:

http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/Fedora/RPMS/system-config-services-0.8.10-1.noarch.rpm

I've only recently taken over the package and want to rule out that
this  bg has been fixed in between... 
Comment 6 Frank Büttner 2004-10-07 07:28:54 EDT
I have try this version. This works. Thanks.

Note You need to log in before you can comment on or make changes to this bug.